## XAppDarkModeManager

XAppDarkModeManager — Manages an application's dark mode preference for it.

## Functions

XAppDarkModeManager * | xapp_dark_mode_manager_new ()

## Types and Values

#define | XAPP_TYPE_DARK_MODE_MANAGER
| XAppDarkModeManager

## Object Hierarchy

        GObject
        ╰── XAppDarkModeManager

## Description

This class will attempt to use the XDG Desktop Settings portal to manage its 'gtk-application-prefer-dark-theme' setting. If the portal is unavailable it will resort to using xdg-desktop-portal-xapp's dconf setting.

Since 2.6

## Functions

### xapp_dark_mode_manager_new ()

    XAppDarkModeManager *
    xapp_dark_mode_manager_new (gboolean prefer_dark_mode);

#### Parameters

prefer_dark_mode | The application's preference. |

#### Returns

a new XAppDarkModeManager instance. Free with g_object_unref.

[transfer full]

Since: 2.6

## Types and Values

### XAPP_TYPE_DARK_MODE_MANAGER

    #define XAPP_TYPE_DARK_MODE_MANAGER (xapp_dark_mode_manager_get_type ())

### XAppDarkModeManager

    typedef struct _XAppDarkModeManager XAppDarkModeManager;